pro shapelets_circularise, decomp

;$Id: shapelets_circularise.pro, v1.0$
;
; Copyright  2004 Richard Massey and Alexandre Refregier.
;
; This file is a part of the Shapelets analysis code.
; www.ast.cam.ac.uk/~rjm/shapelets/
;
; The Shapelets code is free software; you can redistribute it and/or
; modify it under the terms of the GNU General Public License as published
; by the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; The Shapelets code is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with the Shapelets code; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
;
;+
; Richard Massey - February 2002
;
; Circularises an object by setting to zero all but it's a_mn polar
; coefficients where m is nonzero. When averaged around all angles,
; the negative parts of these basis states cancel out the positive
; parts.
;
; INPUT: decomp: A shapelet decomposition (unaffected except for a & e)
;-

; Convert to polar shapelet coefficients
polar_coeffs = shapelets_c2p(decomp.coeffs)
shapelets_make_nvec,decomp.n_max,n1,n2
m = n1-n2

; Set coefficient values away from the diagonal to zero
if decomp.n_max ge 1 then polar_coeffs[where(m ne 0)]=0

; Convert back to Cartesian shapelet coefficients
decomp.coeffs = shapelets_p2c(polar_coeffs)

end
