pro shapelets_reflect, decomp

;$Id: shapelets_reflect.pro, v1.0$
;
; Copyright  2004 Richard Massey and Alexandre Refregier.
;
; This file is a part of the Shapelets analysis code.
; www.ast.cam.ac.uk/~rjm/shapelets/
;
; The Shapelets code is free software; you can redistribute it and/or
; modify it under the terms of the GNU General Public License as published
; by the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; The Shapelets code is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with the Shapelets code; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
;
;+
; Richard Massey - February 2002
;
; Swaps parity on an object - a mirror image.
;
; INPUT: decomp: A Cartesian shapelet decomposition (unaffected except for coefficients)
;-


; POLAR SHAPELETS METHOD
polar_coeffs  = shapelets_c2p(decomp.coeffs) ; Convert to polar shapelet coefficients
polar_coeffs  = conj(polar_coeffs)           ; Swap parity
decomp.coeffs = shapelets_p2c(polar_coeffs)  ; Convert back to Cartesian shapelet coefficients

; CARTESIAN SHAPELET METHOD
;for i=0,decomp.n_coeffs-1 do $  ; For some reason, this doesn't work in n1 axis
;  if decomp.n2(i)/2. ne fix(decomp.n2(i)/2.) then decomp.coeffs(i)=-1.*decomp.coeffs(i)


end
